<?php 
/**
 * Createing an skills pannel for customizer
 *
 */

// START OUR STEPS SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_oursteps_section',
        array(
            'title' => __( 'Our Steps Section', 'lz-fitness-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE OUR STEPS SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_oursteps_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_oursteps_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_oursteps_section_disable',
                'section'       => 'lz_fitness_premium_oursteps_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );
backgroundManager($wp_customize, 'oursteps', 'lz_fitness_premium_oursteps_section', $color='#ffffff');

    $wp_customize->add_setting(
    'lz_fitness_oursteps_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_oursteps_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_oursteps_title_sub_title_heading',
            'section'       => 'lz_fitness_premium_oursteps_section',
            'label'         => __( 'Section Title', 'gurukul' ),
        )
    )
);    
$wp_customize->add_setting(
    'lz_fitness_oursteps_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'OUR STEPS', 'gurukul' )
    )
);
$wp_customize->add_control(
    'lz_fitness_oursteps_title',
    array(
        'settings'      => 'lz_fitness_oursteps_title',
        'section'       => 'lz_fitness_premium_oursteps_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'gurukul' )
    )
);

 // Heading color
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_HeadingColor', 'lz_fitness_premium_oursteps_section', 'Section Heading color', '#303030');

 // Heading border color
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_HeadingborderColor', 'lz_fitness_premium_oursteps_section', 'Section Heading Border color', '#1cb9c8');

$wp_customize->add_setting('lz_fitness_oursteps_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_oursteps_npp_heading',
        array(
            'settings'      => 'lz_fitness_oursteps_npp_heading',
            'section'       => 'lz_fitness_premium_oursteps_section',
            'label'         => __( 'Number Of steps', 'gurukul' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_oursteps_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 3));
$wp_customize->add_control(
    'lz_fitness_oursteps_npp_count',
    array(
        'settings'      => 'lz_fitness_oursteps_npp_count',
        'section'       => 'lz_fitness_premium_oursteps_section',
        'type'          => 'select',
        'label'         => __( 'Number of steps to show', 'gurukul' ),
        'choices'=>array(1,2,3,4,5,6)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 6; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_oursteps_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_oursteps_header'.$i,
            array(
                'settings'      => 'lz_fitness_oursteps_header'.$i,
                'section'       => 'lz_fitness_premium_oursteps_section',
                'label'         => __( 'Steps Page ', 'gurukul' ).$i
            )
        )
    );

 $wp_customize->add_setting(
        'lz_fitness_oursteps_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'lz_fitness_oursteps_page'.$i,
        array(
            'settings'      => 'lz_fitness_oursteps_page'.$i,
            'section'       => 'lz_fitness_premium_oursteps_section',
            'type'          => 'dropdown-pages',
            'label'         => __( 'Select a Page', 'lz-fitness-premium' )
        )
    );

lzAddElement($wp_customize, 'lz_fitness_oursteps_page_number_'.$i, 'lz_fitness_premium_oursteps_section', $type = 'text', $label="Steps Number", $callback ='lz_fitness_sanitize_text', $default='01');

}

//Steps odd number color 
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_stepnumdark_Color', 'lz_fitness_premium_oursteps_section', 'Steps odd number color', '#1cb9c8');

//Steps light number color 
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_stepnumlight_Color', 'lz_fitness_premium_oursteps_section', 'Steps even number color', '#44d3e0');

//Steps number bg color 
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_stepnumbg_Color', 'lz_fitness_premium_oursteps_section', 'Steps number background color', '#fff');

//Dark Box color 
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_darkbox_Color', 'lz_fitness_premium_oursteps_section', 'Dark box color', '#1cb9c8');

//Light Box color 
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_lightbox_Color', 'lz_fitness_premium_oursteps_section', 'Light box color', '#44d3e0');

//Box title color 
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_boxtitle_Color', 'lz_fitness_premium_oursteps_section', 'Box title color', '#fff');

//Box content color 
addColorPalatOption($wp_customize, 'lz_fitness_oursteps_boxcontent_Color', 'lz_fitness_premium_oursteps_section', 'Box content color', '#fff');




